compiling libgpg-error-1.0 fails because <locale.h> is not included (HAVE_LOCALE_H not set in config.h)
Closed, ResolvedPublic

Description

Environment

gentoo

Description

As subject says, libgpg-error 1.0 fails because <locale.h> is not included (HAVE_LOCALE_H not set in config.h). Added "#define HAVE_LOCALE_H 1" to config.h after ./configure, and it compiles.

Fix

Unknown

werner added a subscriber: werner.Oct 13 2004, 3:31 PM

Marcus Brinkmann, please check whether this is still an issue.

werner added a subscriber: gnupg-hackers.
marcus closed this task as Resolved.Jan 21 2005, 10:01 PM

Should be fixed in CVS. Thanks for the contribution!

2005-01-05 Marcus Brinkmann <marcus@g10code.de>

  • configure.ac: Check for locale.h.